/*
 * Copyright (c) 2011, 2014, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package javafx.scene.chart;

/**
Builder class for javafx.scene.chart.XYChart
@see javafx.scene.chart.XYChart
@deprecated This class is deprecated and will be removed in the next version
* @since JavaFX 2.0
*/
@javax.annotation.Generated("Generated by javafx.builder.processor.BuilderProcessor")
@Deprecated
public abstract class XYChartBuilder<X, Y, B extends javafx.scene.chart.XYChartBuilder<X, Y, B>> extends javafx.scene.chart.ChartBuilder<B> {
    protected XYChartBuilder() {
    }


    private int __set;
    public void applyTo(javafx.scene.chart.XYChart<X, Y> x) {
        super.applyTo(x);
        int set = __set;
        if ((set & (1 << 0)) != 0) x.setAlternativeColumnFillVisible(this.alternativeColumnFillVisible);
        if ((set & (1 << 1)) != 0) x.setAlternativeRowFillVisible(this.alternativeRowFillVisible);
        if ((set & (1 << 2)) != 0) x.setData(this.data);
        if ((set & (1 << 3)) != 0) x.setHorizontalGridLinesVisible(this.horizontalGridLinesVisible);
        if ((set & (1 << 4)) != 0) x.setHorizontalZeroLineVisible(this.horizontalZeroLineVisible);
        if ((set & (1 << 5)) != 0) x.setVerticalGridLinesVisible(this.verticalGridLinesVisible);
        if ((set & (1 << 6)) != 0) x.setVerticalZeroLineVisible(this.verticalZeroLineVisible);
    }

    private boolean alternativeColumnFillVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#isAlternativeColumnFillVisible() alternativeColumnFillVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B alternativeColumnFillVisible(boolean x) {
        this.alternativeColumnFillVisible = x;
        __set |= 1 << 0;
        return (B) this;
    }

    private boolean alternativeRowFillVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#isAlternativeRowFillVisible() alternativeRowFillVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B alternativeRowFillVisible(boolean x) {
        this.alternativeRowFillVisible = x;
        __set |= 1 << 1;
        return (B) this;
    }

    private javafx.collections.ObservableList<javafx.scene.chart.XYChart.Series<X,Y>> data;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#getData() data} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B data(javafx.collections.ObservableList<javafx.scene.chart.XYChart.Series<X,Y>> x) {
        this.data = x;
        __set |= 1 << 2;
        return (B) this;
    }

    private boolean horizontalGridLinesVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#isHorizontalGridLinesVisible() horizontalGridLinesVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B horizontalGridLinesVisible(boolean x) {
        this.horizontalGridLinesVisible = x;
        __set |= 1 << 3;
        return (B) this;
    }

    private boolean horizontalZeroLineVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#isHorizontalZeroLineVisible() horizontalZeroLineVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B horizontalZeroLineVisible(boolean x) {
        this.horizontalZeroLineVisible = x;
        __set |= 1 << 4;
        return (B) this;
    }

    private boolean verticalGridLinesVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#getVerticalGridLinesVisible() verticalGridLinesVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B verticalGridLinesVisible(boolean x) {
        this.verticalGridLinesVisible = x;
        __set |= 1 << 5;
        return (B) this;
    }

    private boolean verticalZeroLineVisible;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#isVerticalZeroLineVisible() verticalZeroLineVisible} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B verticalZeroLineVisible(boolean x) {
        this.verticalZeroLineVisible = x;
        __set |= 1 << 6;
        return (B) this;
    }

    private javafx.scene.chart.Axis<X> XAxis;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#getXAxis() XAxis} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B XAxis(javafx.scene.chart.Axis<X> x) {
        this.XAxis = x;
        return (B) this;
    }

    private javafx.scene.chart.Axis<Y> YAxis;
    /**
    Set the value of the {@link javafx.scene.chart.XYChart#getYAxis() YAxis} property for the instance constructed by this builder.
    */
    @SuppressWarnings("unchecked")
    public B YAxis(javafx.scene.chart.Axis<Y> x) {
        this.YAxis = x;
        return (B) this;
    }

}
